| Flutter iOS Embedder |

Classes | Namespaces | Functions | Variables
FlutterPlatformPlugin.mm File Reference
`#import "flutter/shell/platform/darwin/ios/framework/Source/FlutterPlatformPlugin.h"`
`#import <AudioToolbox/AudioToolbox.h>`
`#import <Foundation/Foundation.h>`
`#import <UIKit/UIApplication.h>`
`#import <UIKit/UIKit.h>`
`#include "flutter/fml/logging.h"`
`#import "flutter/shell/platform/darwin/ios/framework/Source/FlutterEngine_Internal.h"`
`#import "flutter/shell/platform/darwin/ios/framework/Source/FlutterTextInputPlugin.h"`
`#import "flutter/shell/platform/darwin/ios/framework/Source/FlutterViewController_Internal.h"`
`#import "flutter/shell/platform/darwin/ios/framework/Source/UIViewController+FlutterScreenAndSceneIfLoaded.h"`

Go to the source code of this file.

## Namespaces
| FLUTTER_ASSERT_ARC
| flutter

## Functions
static void | SetStatusBarHiddenForSharedApplication (BOOL hidden)
static void | SetStatusBarStyleForSharedApplication (UIStatusBarStyle style)

## Variables
constexpr char | FLUTTER_ASSERT_ARC::kTextPlainFormat [] = "text/plain"
const UInt32 | FLUTTER_ASSERT_ARC::kKeyPressClickSoundId = 1306

## Function Documentation

## ◆ SetStatusBarHiddenForSharedApplication()

static void SetStatusBarHiddenForSharedApplication | ( | BOOL | hidden | ) |
| static

Definition at line 47 of file FlutterPlatformPlugin.mm.

47 {
48 #if not APPLICATION_EXTENSION_API_ONLY
49 [UIApplication sharedApplication].statusBarHidden = hidden;
50 #else
51 FML_LOG(WARNING) << "Application based status bar styling is not available in app extension.";
52 #endif
53 }

## ◆ SetStatusBarStyleForSharedApplication()

static void SetStatusBarStyleForSharedApplication | ( | UIStatusBarStyle | style | ) |
| static

Definition at line 55 of file FlutterPlatformPlugin.mm.

55 {
56 #if not APPLICATION_EXTENSION_API_ONLY
57 // Note: -[UIApplication setStatusBarStyle] is deprecated in iOS9
58 // in favor of delegating to the view controller.
59 [[UIApplication sharedApplication] setStatusBarStyle:style];
60 #else
61 FML_LOG(WARNING) << "Application based status bar styling is not available in app extension.";
62 #endif
63 }